SQ(1)

NAME
sq-config - Query, inspect, and create the configuration file

SYNOPSIS
sq config get [OPTIONS] NAME
sq config inspect [OPTIONS] SUBCOMMAND
sq config template [OPTIONS]

DESCRIPTION
Query, inspect, and create the configuration file.

This subcommand can be used to query and inspect the configuration file (default location: $HOME/.config/sequoia/sq/config.toml), and to create a template that can be edited to your liking.

Configuration file: $HOME/.config/sequoia/sq/config.toml

SUBCOMMANDS

  sq config get
Get configuration options.

Retrieves the configuration with the given key. Use `sq config get` to see all available options and their values.

  sq config inspect
Inspect effective configuration details.

This subcommand can be used to inspect various aspects of the effective configuration, such as various relevant paths, the cryptographic policy, the network configuration, etc.

  sq config template
Write a template configuration file.

Writes a template containing the default values to the given file or stdout. This can be used as a starting point to tweak the configuration.

EXAMPLES

  sq config get

List all configuration options.

    sq config get

Get the default cipher suite for key generation.

    sq config get key.generate.cipher-suite

  sq config template

Write a template configuration.

    sq config template

SEE ALSO
sq(1), sq-config-get(1), sq-config-inspect(1), sq-config-template(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1